%% 
%% This is file `texnical.cls',
%% generated with the docstrip utility.
%% 
%% The original source files were:
%% 
%% texnical.dtx  (with options: `package')
%% 
%% Don't change this file. 
%% If you want to, make the change on the 'texnical.dtx'. 
%% 
%%%
%%% Class `texnical' to use texjman.tex with LaTeX2e 1996 Hideaki Togashi
%%%
\def\sourcefilename{texnical.dtx}
\def\classfilename{texnical.cls}
\def\fileversion{1.0e}
\def\filedate{1996/03/31}
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
%%
\NeedsTeXFormat{pLaTeX2e}
\ProvidesClass{texnical}%
  [\filedate\space\fileversion\space document class for texjman]
\newif\if@logocminch \@logocminchtrue
\DeclareOption{logocminch}{\@logocminchtrue}
\DeclareOption{logolatex}{\@logocminchfalse}
\DeclareOption{oneside}{%
  \PackageWarning{texnical}{Not available option: '\CurrentOption'}}
\InputIfFileExists{texnical.cfg}{}{}
\DeclareOption*{%
  \PassOptionsToClass{\CurrentOption}{jreport}}
\ProcessOptions\relax
\LoadClass[twoside]{jreport}[1995/12/01]
\usepackage{makeidx}
\newcommand{\setbaselinestretch}[1]{%
  \def\baselinestretch{#1}%
  \let\@@orgsize=\@currsize
  \small\@@orgsize}
\newenvironment{narrow}{\setbaselinestretch{.8}}{}
\newcount\narrowedby \narrowedby=5
\newenvironment{narrowdescription}
  {\list{}{\labelwidth\z@ \itemindent-\leftmargin
   \iftdir
     \leftmargin\leftskip \advance\leftmargin3\Cwd
     \rightmargin\rightskip
   \fi
           \labelsep=1zw \itemsep\z@
           \listparindent\z@ \topskip\z@ \parskip\z@ \partopsep\z@
           \divide\topsep by \narrowedby\relax
           \divide\parsep by \narrowedby\relax
           \itemsep=\parsep
           \let\makelabel\descriptionlabel}}{\endlist}
\newenvironment{narrowitemize}
  {\ifnum \@itemdepth >3\relax\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{item\romannumeral\the\@itemdepth}%
   \list{\csname label\@itemitem\endcsname}{%
         \ifnum \@listdepth=\@ne \topsep.5\normalbaselineskip
           \else\topsep\z@\fi
         \parskip\z@ \itemsep\z@ \parsep\z@
         \labelwidth1zw \labelsep.3zw
         \ifnum \@itemdepth =\@ne \leftmargin1zw\relax
           \else\leftmargin\leftskip\fi
         \advance\leftmargin 1zw
         \def\makelabel##1{\hss\llap{##1}}}%
         \divide\topsep by \narrowedby\relax
         \divide\parsep by \narrowedby\relax
         \itemsep=\parsep
   \fi}{\endlist}
\newenvironment{narrowenumerate}
  {\ifnum \@enumdepth >3\relax\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
         \ifnum \@listdepth=\@ne \topsep.5\normalbaselineskip
           \else\topsep\z@\fi
         \parskip\z@ \itemsep\z@ \parsep\z@
         \labelwidth1zw \labelsep.3zw
         \ifnum \@enumdepth=\@ne \leftmargin1zw\relax
           \else\leftmargin\leftskip\fi
         \advance\leftmargin 1zw
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
         \divide\topsep by \narrowedby\relax
         \divide\parsep by \narrowedby\relax
         \itemsep=\parsep
   \fi}{\endlist}
\newcommand{\ItemListlabel}[1]{\hspace\labelsep\bfseries#1}
\newenvironment{ItemList}{%
  \list{}{%
    \labelwidth\z@
    \itemindent-\leftmargin
    \let\makelabel\ItemListlabel}%
  \def\Item[##1]{\item[##1]\unhcopy\strutbox\par}}{\endlist}
\newbox\@s@box
\newdimen\@s@dimena
\newdimen\@s@dimenb
\newenvironment{formula}{
  \par \noindent
  \@s@dimena=\columnwidth \advance\@s@dimena by -40\p@
  \setbox\@s@box=\hbox to \@s@dimena\bgroup
    \begin{minipage}\@s@dimena
}{%
    \end{minipage}%
  \egroup
  \@s@dimena=\ht\@s@box \@s@dimenb=\dp\@s@box
  \advance\@s@dimena by 12\p@\relax \advance\@s@dimenb by 12\p@\relax
  \raisebox{\z@}[\@s@dimena][\@s@dimenb]{%
    \framebox[\columnwidth]{\hfill%
      \advance\@s@dimena by -8\p@\relax \advance\@s@dimenb by -8\p@\relax
      \raisebox{\z@}[\@s@dimena][\@s@dimenb]{%
        \copy\@s@box}\hfill}}\par \noindent}
\newenvironment{sample}{
  \begin{quote}
  \noindent :\par
}{%
  \end{quote}
}
\setcounter{topnumber}{2}
\setcounter{bottomnumber}{2}
\setcounter{totalnumber}{4}
\setcounter{dbltopnumber}{2}
\renewcommand{\topfraction}{.9}
\renewcommand{\bottomfraction}{.8}
\renewcommand{\textfraction}{.01}
\renewcommand{\floatpagefraction}{.8}
\renewcommand{\dbltopfraction}{.7}
\renewcommand{\dblfloatpagefraction}{.5}
\renewcommand{\thefigure}{\arabic{chapter}.\@arabic\c@figure}
\renewcommand{\thetable}{\arabic{chapter}.\@arabic\c@table}
\newcounter{samplefile}[chapter]
\renewcommand{\thesamplefile}{\arabic{chapter}.\@arabic\c@samplefile}
\def\fps@samplefile{tbp}
\def\ftype@samplefile{3}
\def\ext@samplefile{los}
\def\fnum@samplefile{\samplefilename~\thesamplefile}
\newenvironment{samplefile}
               {\@float{samplefile}}
               {\end@float}
\newenvironment{samplefile*}
               {\@dblfloat{samplefile}}
               {\end@dblfloat}
\def\partmark#1{}
\def\chaptermark#1{}
\def\sectionmark#1{}
\def\subsectionmark#1{}
\def\subsubsectionmark#1{}
\def\paragraphmark#1{}
\def\subparagraphmark#1{}
\def\subsubparagraphmark#1{}
\newcounter{subsubparagraph}[subparagraph]
\@addtoreset{section}{part}
\@addtoreset{subsection}{part}
\@addtoreset{subsubsection}{part}
\@addtoreset{paragraph}{part}
\@addtoreset{subparagraph}{part}
\@addtoreset{subsubparagraph}{part}
\@addtoreset{subsection}{chapter}
\@addtoreset{subsubsection}{chapter}
\@addtoreset{paragraph}{chapter}
\@addtoreset{subparagraph}{chapter}
\@addtoreset{subsubparagraph}{chapter}
\@addtoreset{subsubsection}{section}
\@addtoreset{paragraph}{section}
\@addtoreset{subparagraph}{section}
\@addtoreset{subsubparagraph}{section}
\@addtoreset{paragraph}{subsection}
\@addtoreset{subparagraph}{subsection}
\@addtoreset{subsubparagraph}{subsection}
\@addtoreset{subparagraph}{subsubsection}
\@addtoreset{subsubparagraph}{subsubsection}
\@addtoreset{subsubparagraph}{paragraph}
\renewcommand{\thepart}{\arabic{part}}
\renewcommand{\thechapter}{\arabic{chapter}}
\renewcommand{\thesection}{\arabic{chapter}.\arabic{section}}
\renewcommand{\thesubsection}{\thesection.\arabic{subsection}}
\renewcommand{\thesubsubsection}{\thesubsection.\arabic{subsubsection}}
\renewcommand{\theparagraph}{\thesubsubsection.\arabic{paragraph}}
\renewcommand{\thesubparagraph}{\theparagraph.\arabic{subparagraph}}
\renewcommand{\thesubsubparagraph}{\thesubparagraph.\arabic{subsubparagraph}}
\newcommand{\thepartform}{\thepart{}}
\newcommand{\chapterform}[1]{\@chapapp\arabic{#1}\@chappos}
\setcounter{secnumdepth}{3}
\renewcommand{\chapter}{%
  \clearpage
  \thispagestyle{plain}%
  \global\@topnum\z@
  \@afterindentfalse
  \secdef\@chapter\@schapter}
\def\@chapter[#1]#2{%
  \ifnum \c@secnumdepth >\m@ne
    \refstepcounter{chapter}%
    \message{<\@chapapp\thechapter\@chappos>}%
    \addcontentsline{toc}{chapter}%
      {\protect\numberline{\thechapter}#1}%
  \else
    \addcontentsline{toc}{chapter}{#1}%
  \fi
  \chaptermark{#1}%
  \addtocontents{lof}{\protect\addvspace{10\p@}}%
  \addtocontents{lot}{\protect\addvspace{10\p@}}%
  \addtocontents{los}{\protect\addvspace{10\p@}}%
  \if@twocolumn
    \@topnewpage[\@makechapterhead{#2}]%
  \else
    \@makechapterhead{#2}%
    \@afterheading
  \fi}%
\def\@schapter#1{%
  \if@twocolumn
    \@topnewpage[\@makeschapterhead{#1}]%
  \else
    \@makeschapterhead{#1}%
    \@afterheading
  \fi}
\def\@makechapterhead#1{%
  \setbox\@tempboxa=\hbox{\reset@font\huge\bfseries
    \ifnum \c@secnumdepth >\m@ne
      \@chapapp{}\thechapter\@chappos\
    \fi
    #1}%
  \@@chapterhead
  \nobreak
  \vskip 20\p@}
\def\@makeschapterhead#1{%
  \setbox\@tempboxa=\hbox{\reset@font\huge\bfseries#1}%
  \@@chapterhead
  \nobreak
  \vskip 20\p@}
\def\@@chapterhead{%
  \hbox to \columnwidth{%
    \reset@font\huge
    \parindent \z@
    \baselineskip \z@
    \raggedright
    \@tempdima=\columnwidth
    \advance\@tempdima by -\wd\@tempboxa
    \divide\@tempdima by 2\relax
    \advance\@tempdima by -.3em % ̃{bNX̍E̋
    \@chapterheadlines{\@tempdima}%
    \hfill\copy\@tempboxa\hfill
    \@chapterheadlines{\@tempdima}}}
\def\@chapterheadlines#1{%
  $\vcenter to 1em{             % line Ŝ̍
    \@tempcnta=20               % line 
    \@whilenum\@tempcnta>0\do{%
      \hrule height .2\p@ width #1 % line  .2pt,  #1
      \vfill
      \advance\@tempcnta by -1\relax} %
    \hrule height .2\p@ width #1 % line  .2pt,  #1
    }$}
\renewcommand{\subsubsection}{\@startsection{subsubsection}{3}{\z@}%
   {1.5\Cvs \@plus.5\Cdp \@minus.2\Cdp}%
   {.5\Cvs \@plus.3\Cdp}%
   {\reset@font\large\bfseries}}
\renewcommand{\paragraph}{\@startsection{paragraph}{4}{\z@}%
   {3.25ex \@plus 1ex \@minus .2ex}%
   {1ex}%
   {\reset@font\normalsize\bfseries}}
\renewcommand{\subparagraph}{\@startsection{subparagraph}{5}{\z@}%
   {3.25ex \@plus 1ex \@minus .2ex}%
   {1ex}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\subsubparagraph}{\@startsection{subparagraph}{6}{\z@}%
   {3.25ex \@plus 1ex \@minus .2ex}%
   {1ex}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\subtitle}[1]{\protect\p@subtitle{#1}}
\def\p@subtitle#1{\hfill{\protect\small[\,#1\,]}}%
\newbox\@subtitlebox
\def\@subtitleddottedtocline#1#2#3#4#5{\ifnum #1>\c@tocdepth \else
  \vskip\toclineskip \@plus.2\p@
  {\leftskip #2\relax \rightskip \@tocrmarg \parfillskip -\rightskip
    \parindent #2\relax\@afterindenttrue
   \interlinepenalty\@M
   \leavevmode
   \@lnumwidth #3\relax
   \advance\leftskip \@lnumwidth \hbox{}\hskip -\leftskip
    {#4}\nobreak\leaders\hbox{$\m@th \mkern \@dotsep mu.\mkern \@dotsep
       mu$}\hfill
         \unhbox\@subtitlebox
    \nobreak\hbox to\@pnumwidth{%
         \hss\reset@font\rmfamily \normalcolor #5}\par}\fi}
\renewcommand{\tableofcontents}{%
  \if@twocolumn\@restonecoltrue\onecolumn
  \else\@restonecolfalse\fi
  \chapter*{\contentsname
    \@mkboth{\contentsname}{\contentsname}%
  }%
  \begingroup
    \def\p@subtitle##1{%
      \global\setbox\@subtitlebox=\hbox{%
        {\protect\footnotesize[\kern.2\p@##1\kern.2\p@]\hskip3.5\p@}}}%
      \@starttoc{toc}%
  \endgroup
  \if@restonecol\twocolumn\fi
}
\renewcommand{\l@section}{\@subtitleddottedtocline{1}{1.5em}{2.3em}}
\renewcommand{\l@subsection}{\@subtitleddottedtocline{2}{3.8em}{3.2em}}
\renewcommand{\l@subsubsection}{\@subtitleddottedtocline{3}{7.0em}{4.1em}}
\renewcommand{\l@paragraph}{\@subtitleddottedtocline{4}{10em}{5em}}
\renewcommand{\l@subparagraph}{\@subtitleddottedtocline{5}{12em}{6em}}
\newcommand{\l@subsubparagraph}{\@subtitleddottedtocline{5}{12em}{6em}}
\newcommand{\listofsamplefiles}{%
  \if@twocolumn\@restonecoltrue\onecolumn
  \else\@restonecolfalse\fi
  \chapter*{\listsamplefilename
  \@mkboth{\listsamplefilename}{\listsamplefilename}}%
  \@starttoc{los}%
  \if@restonecol\twocolumn\fi
}
\let\l@samplefile\l@figure
\newcommand{\listsamplefilename}{t@Cڎ}
\newcommand{\samplefilename}{t@C}
\def\@pnumwidth{1.98em}
\setcounter{tocdepth}{3}
\if@twoside
  \def\ps@headings{\let\ps@jpl@in\ps@headnombre
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \let\@mkboth\markboth
    \def\@evenhead{%
      \begingroup
        \def\p@subtitle####1{}%
        \underline{\hbox to \textwidth{%
          \rmfamily\thepage\hfil\leftmark}}%
      \endgroup}%
    \def\@oddhead{%
      \begingroup
        \def\p@subtitle####1{}%
        \underline{\hbox to \textwidth{%
          \hbox{}\rmfamily\rightmark\hfil\thepage}}%
      \endgroup}%
  \def\chaptermark##1{\markboth{%
     \ifnum \c@secnumdepth >\m@ne
         \@chapapp\thechapter\@chappos\hskip1zw
     \fi
     ##1}{}}%
  \def\sectionmark##1{\markright{%
     \ifnum \c@secnumdepth >\z@ \thesection.\hskip1zw\fi
     ##1}}%
  }
\else % if not twoside
  \def\ps@headings{\let\ps@jpl@in\ps@headnombre
    \let\@oddfoot\@empty
    \let\@mkboth\markboth
    \def\@oddhead{%
      \begingroup
        \def\p@subtitle####1{}%
        \underline{\hbox to \textwidth{%
          \hbox{}\rmfamily\rightmark\hfil\thepage}}%
      \endgroup}%
\def\chaptermark##1{\markboth{%
   \ifnum \c@secnumdepth >\m@ne
       \@chapapp\thechapter\@chappos\hskip1zw
   \fi
   ##1}{}}%
\def\sectionmark##1{\markright{%
   \ifnum \c@secnumdepth >\z@ \thesection.\hskip1zw\fi
   ##1}}%
  }
\fi
\DeclareRobustCommand{\Ref}[1]{%
  \expandafter\if\csname r@#1\endcsname\relax
    {\bf ???????}%
    \PackageWarning{texnical}{%
      Reference `#1' on page \thepage \space undefined}
  \else
    \edef\@tempa{\expandafter\@car#1\@nil}%
    \if\@tempa f \ref{#1}\@RefPage{#1}\else
      \if\@tempa t \ref{#1}\@RefPage{#1}\else
        \@RefChapter{#1}\,p.\pageref{#1}\fi\fi\fi}
\def\@ExtractChapterNum#1.#2\@nil{#1}
\def\@RefChapter#1{%
  \edef\@tempa{\@nameuse{r@#1}}%
  \edef\@tempb{\expandafter\@car\@tempa\@nil\null}%
  \edef\@tempa{\expandafter\@ExtractChapterNum\@tempb.\@nil}%
  \c@Reference=\@tempa\relax
  \ifnum\c@chapter=\c@Reference\relax {\else
    \chapterform{Reference}\fi}
\def\@RefPage#1{%
  \edef\@tempa{\@nameuse{r@#1}}%
  \edef\@tempb{\expandafter\@cdr\@tempa\@nil}%
  \ifnum\value{page}=\@tempb\relax\else\,p.\pageref{#1}\fi}
\newcount\c@Reference
\newcommand{\RefForm}[1]{(cf.~#1)}
\newcommand{\Reference}[1]{\RefForm{\Ref{#1}}}
\newcommand{\TecName}{Technical Guide}
\newcommand{\TecReference}[1]{\RefForm{\TecRef{#1}}}
\newcommand{\TecRef}[1]{\protect\@TecRef{#1}}
\def\@TecRef#1{\TecName\,%
  \expandafter\if\csname r@tec:#1\endcsname\relax
    {\bf ???????}%
    \@warning{Reference `#1' to \TecName \space on page \thepage \space undefined}
  \else
    \edef\@tempa{\expandafter\@car#1\@nil}%
    \if\@tempa f \ref{tec:#1}\,p.\pageref{tec:#1}\else
      \if\@tempa t \ref{tec:#1}\,p.\pageref{tec:#1}\else
        \@TecRefChapter{tec:#1}\,p.\pageref{tec:#1}\fi\fi\fi}
\def\@TecRefChapter#1{%
  \edef\@tempa{\@nameuse{r@#1}}%
  \edef\@tempb{\expandafter\@car\@tempa\@nil\null}%
  \edef\@tempa{\expandafter\@ExtractChapterNum\@tempb.\@nil}%
  \c@Reference=\@tempa
  \chapterform{Reference}}
\newcommand{\includeteclabel}[1]{%
  \makeatletter
  \let\@original@writefile\@writefile
  \def\@writefile##1##2{}%
  \let\@original@newlabel\newlabel
  \def\newlabel##1##2{\@original@newlabel{tec:##1}{##2}}
  \input #1.aux\relax
  \let\@writefile\@original@writefile \let\@original@writefile\@@@undefined
  \let\newlabel\@original@newlabel \let\@original@newlabel\@@@undefined
  \makeatother}
\newcommand{\makelogotitle}[1]{%
  \typeout{}
  \typeout{#1 of DVIOUT/DVIPRT}
  \typeout{Note: Run pLaTeX three times to resolve cross-references.}
  \typeout{}
  \begin{titlepage}
    \null\vfill
    \begin{flushleft}
      \if@logocminch
        \logo@cminch
      \else
        \logo@latex
      \fi
      \vspace{30\p@}
      \Huge
      \hskip10\p@ Ver. \Version\ \ \ \ #1
    \end{flushleft}
    \vfill
  \end{titlepage}
  \newpage}
\def\logo@cminch{%
  \typeout{Note: We use the cminch font.}
  \typeout{}
  \font\logofont=cminch
  \logofont
  DVIOUT\\ \vskip 15\p@%
  DVIPRT\\ \vskip 30\p@%
}
\def\logo@latex{%
  \typeout{Note: We do NOT use the cminch font.}
  \typeout{}
  \def\logoD{\begin{picture}(68,72)
    \put(2,36){\oval(132,72)[r]}
    \put(2,36){\oval(4,72)[l]}
    \put(14,36){\oval(80,54)[r]}
    \put(14,9){\line(0,1){54}}
    \end{picture}}
  \def\logoV{\begin{picture}(72,72)
    \put(36,15){\line(-2,5){22}}
    \put(7,70){\oval(14,4)[t]}
    \put(0,70){\line(2,-5){27.2}}
    \put(36,15){\line(2,5){22}}
    \put(65,70){\oval(14,4)[t]}
    \put(72,70){\line(-2,-5){27.2}}
    \put(36,2){\oval(17.6,4)[b]}
    \end{picture}}
  \def\logoI{\begin{picture}(14,72)
    \put(7,70){\oval(14,4)[t]}
    \put(0,2){\line(0,1){68}}
    \put(14,2){\line(0,1){68}}
    \put(7,2){\oval(14,4)[b]}
    \end{picture}}
  \def\logoO{\begin{picture}(68,72)
    \put(34,36){\oval(68,72)}
    \put(34,36){\oval(40,54)}
    \end{picture}}
  \def\logoU{\begin{picture}(60,72)
    \put(30,70){\oval(60,140)[b]}
    \put(30,23){\oval(32,28)[b]}
    \put(14,23){\line(0,1){47}}
    \put(46,23){\line(0,1){47}}
    \put(7,70){\oval(14,4)[t]}
    \put(53,70){\oval(14,4)[t]}
    \end{picture}}
  \def\logoT{\begin{picture}(68,72)
    \put(2,67){\oval(4,10)[l]}
    \put(66,67){\oval(4,10)[r]}
    \put(2,72){\line(1,0){64}}
    \put(2,62){\line(1,0){25}}
    \put(66,62){\line(-1,0){25}}
    \put(27,62){\line(0,-1){60}}
    \put(41,62){\line(0,-1){60}}
    \put(34,2){\oval(14,4)[b]}
    \end{picture}}
  \def\logoP{\begin{picture}(58,72)
    \put(2,36){\oval(4,72)[l]}
    \put(2,72){\line(1,0){12}}
    \put(14,50){\oval(88,44)[r]}
    \put(14,28){\line(0,-1){26}}
    \put(2,2){\oval(24,4)[br]}
    \put(32,50){\oval(20,26)[r]}
    \put(32,63){\line(-1,0){18}}
    \put(32,37){\line(-1,0){18}}
    \put(14,37){\line(0,1){26}}
    \end{picture}}
  \def\logoR{\begin{picture}(58,72)
    \put(2,36){\oval(4,72)[l]}
    \put(2,72){\line(1,0){36}}
    \put(38,52){\oval(40,40)[r]}
    \put(38,32){\line(2,-3){20}}
    \put(24,32){\line(2,-3){20}}
    \put(51,2){\oval(14,4)[b]}
    \put(24,32){\line(-1,0){10}}
    \put(14,32){\line(0,-1){30}}
    \put(2,2){\oval(24,4)[br]}
    \put(32,52){\oval(20,22)[r]}
    \put(32,63){\line(-1,0){18}}
    \put(32,41){\line(-1,0){18}}
    \put(14,41){\line(0,1){22}}
    \end{picture}}
  \unitlength 1\p@
  \thicklines
  \logoD \hskip 6\p@
  \logoV \hskip 12\p@
  \logoI \hskip 16\p@
  \logoO \hskip 16\p@
  \logoU \hskip 14\p@
  \logoT \par
  \vskip 16\p@
  \logoD \hskip 6\p@
  \logoV \hskip 12\p@
  \logoI \hskip 20\p@
  \logoP \hskip 14\p@
  \logoR \hskip 10\p@
  \logoT \par
}
\newcommand{\maketables}{%
  \pagenumbering{roman}
  \tableofcontents
  \listoftables
  \listoffigures
  \listofsamplefiles
  \newpage
  \pagenumbering{arabic}
  \setcounter{page}{1}}
\DeclareRobustCommand{\dviout}{\texttt{dviout}}
\DeclareRobustCommand{\dviprt}{\texttt{dviprt}}
\DeclareRobustCommand{\pTeX}{p\kern-.2em\TeX}
\DeclareRobustCommand{\JTeX}{\leavevmode\lower.5ex\hbox{J}\kern-.18em\TeX}
\font\logo=manfnt
\DeclareRobustCommand{\MF}{{\logo META}\-{\logo FONT}}
\DeclareRobustCommand{\PostScript}{{%
    \textsc{Post}\-\textsc{Script}}}
\DeclareRobustCommand{\File}[1]{\texttt{#1}}
\DeclareRobustCommand{\Option}[1]{\texttt{#1}}
\DeclareRobustCommand{\Env}[1]{\texttt{#1}}
\DeclareRobustCommand{\Font}[1]{\texttt{#1}}
\DeclareRobustCommand{\Char}[1]{u\texttt{#1}v}
\DeclareRobustCommand{\Cs}[1]{\textbackslash\kern\z@\texttt{#1}}
\newcommand{\Pref}[1]{{\footnotesize\,p\pageref{#1}}}
\newcommand{\PrefDouble}[2]{{\footnotesize\,p\pageref{#1}\,p\pageref{#2}}}
\newcommand{\TabAndRef}[1]{%
  \>{\footnotesize\rmfamily\S\ref{#1}\ p\pageref{#1}}}
\newcommand{\TabAndRefDouble}[2]{%
  \>{\footnotesize\rmfamily\S\ref{#1}\ p\pageref{#1}, \S\ref{#2} p\pageref{#2}}}
\let\DirSep\textbackslash
\DeclareRobustCommand{\labelbox}[1]{\hbox to\leftmargin{\hfil#1\hfil}}
\DeclareRobustCommand{\keytop}[1]{[\texttt{#1}]}
\DeclareRobustCommand{\ArrowBox}[1]{\makebox[1em]{#1}}
\newcommand{\Signature}[1]{%
  \begin{flushright}
    \texttt{<<} Sep. 22, 1990 -- \TillDate{} by #1 \texttt{>>}
  \end{flushright}}
\pagestyle{headings}
\setlength{\oddsidemargin}{0\p@}
\setlength{\evensidemargin}{0\p@}
\setlength{\topmargin}{-.3in}
\setlength{\textwidth}{47zw}
\setlength{\textheight}{43\baselineskip}
\advance\textheight\topskip
\xspcode`-=3
\xspcode`+=3
\xspcode`==3
\xspcode`?=3
\xspcode`*=3
\xspcode`<=1
\xspcode`>=2
\xspcode`{=1
\xspcode`}=2
\xspcode`:=3
\xspcode`.=3
\xspcode`$=3
\endinput
%% 
%% End of file `texnical.cls'.
